# gammu-smsd-monitor

## Synopsis

    gammu-smsd-monitor [OPTION]...

## Description

This manual page documents briefly the gammu-smsd-monitor command.

gammu-smsd-monitor is a program that monitors state of Gammu SMS Daemon. It periodically displays information about phone and number of processed messages.

Program accepts following options (please note that long options might be not accepted on some platforms):

-h, --help

  Shows help.

-v, --version

  Shows version information and compiled in features.

-c, --config=file

  Configuration file to use, default is /etc/gammu-smsdrc, on Windows there is no default and configuration file path has to be always specified.

-n, --loops=count

  Number of loops, by default monitor loops infinitely.

-d, --delay=seconds

  Delay between polling SMSD state, default is 20 seconds.

-C, --csv

  Print output in comma separated values format:

      client;phone ID;IMEI;IMSI;sent;received;failed;battery;signal

  CSV status records are always written to standard output and are not given logging prefixes, including when `--use-log` is specified.

-l, --use-log

  Write human-readable status updates using the logging configuration from the config file.

-L, --no-use-log

  Write human-readable status updates to standard output (default). Output is flushed after every polling cycle so it can be consumed by a pipeline.